/com/canonical/indicator/datetime/AlarmProperties denial

Bug #1374623 reported by Jamie Strandboge on 2014-09-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apparmor-easyprof-ubuntu (Ubuntu)
High
Jamie Strandboge
apparmor-easyprof-ubuntu (Ubuntu RTM)
High
Jamie Strandboge

Bug Description

One more denial:
Sep 26 15:04:05 ubuntu-phablet dbus[1804]: apparmor="DENIED" operation="dbus_method_call" bus="session" path="/com/canonical/indicator/datetime/AlarmProperties" interface="org.freedesktop.DBus.Introspectable" member="Introspect" mask="send" name="com.canonical.indicator.datetime" pid=11886 profile="com.ubuntu.clock_clock_3.1.125" peer_pid=2713 peer_profile="unconfined"

Changed in apparmor-easyprof-ubuntu (Ubuntu):
status: New → In Progress
Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
status: New → Triaged
Changed in apparmor-easyprof-ubuntu (Ubuntu):
importance: Undecided → High
Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
importance: Undecided → High
Changed in apparmor-easyprof-ubuntu (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
assignee: nobody → Jamie Strandboge (jdstrand)
tags: added: rtm14 touch-2014-10-09
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor-easyprof-ubuntu - 1.2.28

---------------
apparmor-easyprof-ubuntu (1.2.28) utopic; urgency=medium

  * ubuntu/calendar: add missing rule for org.freedesktop.DBus.Introspectable
    on path /com/canonical/indicator/datetime/AlarmProperties (LP: #1374623)
  * ubuntu/1.[12]/ubuntu-{sdk,webapp}: remove no longer needed rule for
    /{,run/}shm/shm/WK2SharedMemory.[0-9]* (LP: #1197060)
  * ubuntu/microphone:
    - add temporary write access to /{run,dev}/shm/shmfd-* for QAudioRecorder
      (LP: #1370218)
    - explicitly deny read on /dev/
  * ubuntu/1.1/webview: allow dbus send to RequestName on org.freedesktop.DBus
    webapp-container needs corresponding 'bind' call on
    org.freedesktop.Application, which we block elsewhere. webapp-container
    shouldn't be doing this under confinement, but we allow this rule in
    content_exchange, so just allow it to avoid confusion. (LP: #1357371)
 -- Jamie Strandboge <email address hidden> Fri, 26 Sep 2014 15:21:37 -0500

Changed in apparmor-easyprof-ubuntu (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor-easyprof-ubuntu - 1.2.30

---------------
apparmor-easyprof-ubuntu (1.2.30) utopic; urgency=medium

  * ubuntu/ubuntu-*: add owner /{run,dev}/shm/shmfd-* rwk (LP: #1370218)
  * ubuntu/microphone: remove shmfd access since it is in the templates now
 -- Jamie Strandboge <email address hidden> Tue, 30 Sep 2014 09:33:57 -0500

Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers